<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njzscloud.supervisory.sys.bulletin.mapper.BulletinMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.njzscloud.supervisory.sys.bulletin.pojo.BulletinEntity">
        <id column="id" property="id" />
        <result column="title" property="title" />
        <result column="picture" property="picture" />
        <result column="enabled" property="enabled" />
        <result column="creator_id" property="creatorId" />
        <result column="modifier_id" property="modifierId" />
        <result column="create_time" property="createTime" />
        <result column="modify_time" property="modifyTime" />
        <result column="deleted" property="deleted" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, title, picture, enabled, creator_id, modifier_id, create_time, modify_time, deleted
    </sql>

</mapper>
